"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.findSchemaNode = exports.isSectionOrBlockFile = exports.isBlockFile = exports.isSectionFile = exports.fileMatch = void 0;
const theme_check_common_1 = require("@shopify/theme-check-common");
function fileMatch(uri, patterns) {
    return patterns.some((pattern) => pattern.test(uri));
}
exports.fileMatch = fileMatch;
function isSectionFile(uri) {
    return /\/sections\/[^/]*\.liquid$/.test(uri);
}
exports.isSectionFile = isSectionFile;
function isBlockFile(uri) {
    return /\/blocks\/[^/]*\.liquid$/.test(uri);
}
exports.isBlockFile = isBlockFile;
function isSectionOrBlockFile(uri) {
    return isSectionFile(uri) || isBlockFile(uri);
}
exports.isSectionOrBlockFile = isSectionOrBlockFile;
function findSchemaNode(ast) {
    const nodes = (0, theme_check_common_1.visit)(ast, {
        LiquidRawTag(node) {
            if (node.name === 'schema') {
                return node;
            }
        },
    });
    return nodes[0];
}
exports.findSchemaNode = findSchemaNode;
//# sourceMappingURL=utils.js.map